# Icon图标

### 介绍
基于字体的图标集，具体查看iconfont

###效果图
![效果图](https://img.tanjiu.cn/home/wAXdkKfGcTjPNesj5TY3Dff3zG78EQGQ.png "字体图标效果图")

### 引入
在app.json或页面配置json中引入
```
"usingComponents": {
    "xt-icon": "@xtdev/xt-miniprogram-ui/xt-icon",
}
```

## 代码演示

### 基础用法

```
<xt-icon icon="wenhao"></xt-icon>
```

### 图标大小
设置 `size` 属性控制图标大小
```
<xt-icon icon="wenhao" size="{{32}}">
</xt-card-cell>
```

##API

####xt-icon props

| 参数      | 说明 |  类型 |
| ----------- | ----------- | ---------- |
| icon      | 图标名称，具体值见iconfont | `String` |
| size   | 图标大小，单位rpx  | `Number` |
