# Icon图标

### 介绍
用于标记关键词或用于筛选

###效果图
![效果图](https://img.tanjiu.cn/home/PXMYKCEKtNY66R4mEkmNdf5HQFebRr2M.png "tag效果图")

### 引入
在app.json或页面配置json中引入
```
"usingComponents": {
    "xt-tag": "@xtdev/xt-miniprogram-ui/xt-tag",
}
```

## 代码演示

### 基础用法

```
<xt-tag>
标签一
</xt-tag>
```

### 状态
设置 `isChoosed` 属性标记选中状态
```
<xt-tag isChoosed="{{true}}">
选中了
</xt-tag>
```

### 带关闭功能
设置 `closeable` 属性控制是否展示关闭图标
```
<xt-tag closeable="{{true}}">
可关闭
</xt-tag>
```

### 带数字
设置 `number` 属性展示
```
<xt-tag number="{{2}}">
带数字
</xt-tag>
```

##API

####xt-tag props

| 参数      | 说明 |  类型 |
| ----------- | ----------- | ---------- |
| number      | 对应的数字 | `Number` |
| isChoosed   | 是否选中  | `Boolean` |
| closeable   | 是否展示关闭图标  | `Boolean` |

####Events

| 事件名      | 说明 |  回调参数 |
| ----------- | ----------- | ---------- |
| bind:close      | 关闭标签时触发 | - |
