# Search搜索框

### 介绍
常用于列表过渡，通过输入搜索筛选数据

### 效果图
![效果图](https://img.tanjiu.cn/home/PdAzeR3aNa6kz7J6Aks6xinCwT8HRk2y.png "搜索框图")

### 引入
在app.json或页面配置json中引入
```
"usingComponents": {
    "xt-search": "@xtdev/xt-miniprogram-ui/xt-search",
}
```

## 代码演示

### 默认模式，横向展示
![效果图](https://img.tanjiu.cn/home/PdAzeR3aNa6kz7J6Aks6xinCwT8HRk2y.png "搜索框图")

```
<xt-steps></xt-steps>
```

### 方形
![效果图](https://img.tanjiu.cn/home/wsXSS75BzmJ57ZhSHdij5JimWA6YcBXf.png "搜索框图")

```
<xt-steps isCircle="{{false}}"></xt-steps>
```


## API

#### xt-steps props

| 参数      | 说明 |  类型 | 默认值 |
| ----------- | ----------- | ---------- | ---------- |
| isCircle      | 是否为圆角 | `Boolean` | true |
| placeholder   | 当前输入框placeholder  | `String` | 请输入内容  |
| isFocus   | 是否自动聚焦  | `Boolean` | true |
| value   | 默认值  | `String` | '' |
| remote   | 是否为远程搜索(点击输入框将只执行onFocus指令。适用于跳转新页面搜索场景)  | `Boolean` | false |
| rightBtnText   | 提交按钮文案  | `String` | '搜索' |

#### 事件

| 事件名称      | 说明 | 参数 |
| ----------- | ----------- | ----------- |
| onFocus      | 聚焦 | - |
| onBlur   | 失去焦点  | - |
| onInput   | 输入  | 输入框值 |
| onClear   | 清除  | - |
| onSearch   | 按钮提交  | 输入框值 |